Table of Contents

Class IdentityProvidersRequestBuilder

Namespace
Keycloak.AuthServices.Sdk.Kiota.Admin.Admin.Realms.Item.Organizations.Item.IdentityProviders
Assembly
Keycloak.AuthServices.Sdk.Kiota.dll

Builds and executes requests for operations under \admin\realms{realm}\organizations{org-id}\identity-providers

public class IdentityProvidersRequestBuilder : BaseRequestBuilder
Inheritance
BaseRequestBuilder
IdentityProvidersRequestBuilder
Inherited Members
BaseRequestBuilder.PathParameters
BaseRequestBuilder.RequestAdapter
BaseRequestBuilder.UrlTemplate

Constructors

IdentityProvidersRequestBuilder(Dictionary<string, object>, IRequestAdapter)

Instantiates a new IdentityProvidersRequestBuilder and sets the default values.

public IdentityProvidersRequestBuilder(Dictionary<string, object> pathParameters, IRequestAdapter requestAdapter)

Parameters

pathParameters Dictionary<string, object>

Path parameters for the request

requestAdapter IRequestAdapter

The request adapter to use to execute the requests.

IdentityProvidersRequestBuilder(string, IRequestAdapter)

Instantiates a new IdentityProvidersRequestBuilder and sets the default values.

public IdentityProvidersRequestBuilder(string rawUrl, IRequestAdapter requestAdapter)

Parameters

rawUrl string

The raw URL to use for the request builder.

requestAdapter IRequestAdapter

The request adapter to use to execute the requests.

Properties

this[string]

Gets an item from the Keycloak.AuthServices.Sdk.Kiota.Admin.admin.realms.item.organizations.item.identityProviders.item collection

public WithAliasItemRequestBuilder this[string position] { get; }

Parameters

position string

Unique identifier of the item

Property Value

WithAliasItemRequestBuilder

A WithAliasItemRequestBuilder

Methods

GetAsync(Action<RequestConfiguration<DefaultQueryParameters>>?, CancellationToken)

Returns all identity providers associated with the organization

public Task<List<IdentityProviderRepresentation>?> GetAsync(Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null, CancellationToken cancellationToken = default)

Parameters

requestConfiguration Action<RequestConfiguration<DefaultQueryParameters>>

Configuration for the request such as headers, query parameters, and middleware options.

cancellationToken CancellationToken

Cancellation token to use when cancelling requests

Returns

Task<List<IdentityProviderRepresentation>>

A List<global::Keycloak.AuthServices.Sdk.Kiota.Admin.Models.IdentityProviderRepresentation>

PostAsync(string, Action<RequestConfiguration<DefaultQueryParameters>>?, CancellationToken)

Adds, or associates, an existing identity provider with the organization. If no identity provider is found, or if it is already associated with the organization, an error response is returned

public Task PostAsync(string body, Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null, CancellationToken cancellationToken = default)

Parameters

body string

The request body

requestConfiguration Action<RequestConfiguration<DefaultQueryParameters>>

Configuration for the request such as headers, query parameters, and middleware options.

cancellationToken CancellationToken

Cancellation token to use when cancelling requests

Returns

Task

ToGetRequestInformation(Action<RequestConfiguration<DefaultQueryParameters>>?)

Returns all identity providers associated with the organization

public RequestInformation ToGetRequestInformation(Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null)

Parameters

requestConfiguration Action<RequestConfiguration<DefaultQueryParameters>>

Configuration for the request such as headers, query parameters, and middleware options.

Returns

RequestInformation

A Microsoft.Kiota.Abstractions.RequestInformation

ToPostRequestInformation(string, Action<RequestConfiguration<DefaultQueryParameters>>?)

Adds, or associates, an existing identity provider with the organization. If no identity provider is found, or if it is already associated with the organization, an error response is returned

public RequestInformation ToPostRequestInformation(string body, Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null)

Parameters

body string

The request body

requestConfiguration Action<RequestConfiguration<DefaultQueryParameters>>

Configuration for the request such as headers, query parameters, and middleware options.

Returns

RequestInformation

A Microsoft.Kiota.Abstractions.RequestInformation

WithUrl(string)

Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.

public IdentityProvidersRequestBuilder WithUrl(string rawUrl)

Parameters

rawUrl string

The raw URL to use for the request builder.

Returns

IdentityProvidersRequestBuilder

A IdentityProvidersRequestBuilder